 drivers/md/dm-ioctl-v1.c |    6 +++---
 drivers/md/dm-ioctl-v4.c |    8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/md/dm-ioctl-v1.c~KD36-dm-B5 drivers/md/dm-ioctl-v1.c
--- 25/drivers/md/dm-ioctl-v1.c~KD36-dm-B5	2003-09-21 22:35:16.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl-v1.c	2003-09-21 22:35:16.000000000 -0700
@@ -459,7 +459,7 @@ static int __info(struct mapped_device *
 	if (!bdev)
 		return -ENXIO;
 
-	param->dev = bdev->bd_dev;
+	param->dev = old_encode_dev(bdev->bd_dev);
 	param->open_count = bdev->bd_openers;
 	bdput(bdev);
 
@@ -577,7 +577,7 @@ static int create(struct dm_ioctl *param
 	}
 
 	if (param->flags & DM_PERSISTENT_DEV_FLAG)
-		r = dm_create_with_minor(MINOR(param->dev), &md);
+		r = dm_create_with_minor(MINOR(old_decode_dev(param->dev)), &md);
 	else
 		r = dm_create(&md);
 
@@ -816,7 +816,7 @@ static int dep(struct dm_ioctl *param, s
 	count = 0;
 	list_for_each(tmp, dm_table_get_devices(table)) {
 		struct dm_dev *dd = list_entry(tmp, struct dm_dev, list);
-		deps->dev[count++] = dd->bdev->bd_dev;
+		deps->dev[count++] = old_encode_dev(dd->bdev->bd_dev);
 	}
 	dm_table_put(table);
 	dm_put(md);
diff -puN drivers/md/dm-ioctl-v4.c~KD36-dm-B5 drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~KD36-dm-B5	2003-09-21 22:35:16.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	2003-09-21 22:35:16.000000000 -0700
@@ -401,7 +401,7 @@ static int list_devices(struct dm_ioctl 
 				old_nl->next = (uint32_t) ((void *) nl -
 							   (void *) old_nl);
 			disk = dm_disk(hc->md);
-			nl->dev = MKDEV(disk->major, disk->first_minor);
+			nl->dev = old_encode_dev(MKDEV(disk->major, disk->first_minor));
 			nl->next = 0;
 			strcpy(nl->name, hc->name);
 
@@ -445,7 +445,7 @@ static int __dev_status(struct mapped_de
 	if (!bdev)
 		return -ENXIO;
 
-	param->dev = MKDEV(disk->major, disk->first_minor);
+	param->dev = old_encode_dev(MKDEV(disk->major, disk->first_minor));
 
 	/*
 	 * Yes, this will be out of date by the time it gets back
@@ -481,7 +481,7 @@ static int dev_create(struct dm_ioctl *p
 		return r;
 
 	if (param->flags & DM_PERSISTENT_DEV_FLAG)
-		r = dm_create_with_minor(MINOR(param->dev), &md);
+		r = dm_create_with_minor(MINOR(old_decode_dev(param->dev)), &md);
 	else
 		r = dm_create(&md);
 
@@ -886,7 +886,7 @@ static void retrieve_deps(struct dm_tabl
 	count = 0;
 	list_for_each(tmp, dm_table_get_devices(table)) {
 		struct dm_dev *dd = list_entry(tmp, struct dm_dev, list);
-		deps->dev[count++] = dd->bdev->bd_dev;
+		deps->dev[count++] = old_encode_dev(dd->bdev->bd_dev);
 	}
 
 	param->data_size = param->data_start + needed;

_
